<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Acitvitys.EER.ProduitP.ProdChoseProduitActivity">


    <androidx.cardview.widget.CardView
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardElevation="6dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="65dp"
            android:paddingRight="6dp">

            <ImageView
                android:layout_width="150dp"
                android:layout_height="65dp"
                android:src="@drawable/ic_logo" />


        </RelativeLayout>

    </androidx.cardview.widget.CardView>

    <!--  Progress bar  -->
    <LinearLayout
        android:id="@+id/ly_progress"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/toolbar"
        android:orientation="horizontal"
        android:layout_marginVertical="30dp"
        android:paddingHorizontal="15dp">
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"/>
        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="13dp"
            android:layout_weight="1"
            android:layout_marginHorizontal="6dp"
            android:background="@drawable/border_raduis"
            android:backgroundTint="@color/inactive"/>
    </LinearLayout>

    <TextView
        android:id="@+id/title"
        style="@style/first_title"
        android:layout_below="@id/ly_progress"
        android:text="@string/ma_s_l_ction_d_offre_personalis_e" />



    <!--   Body -->
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/rl_footer"
        android:layout_below="@id/title">

        <RelativeLayout
            android:id="@+id/cardView2"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="130dp"
            android:background="@drawable/radius_left_right">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="50dp"
                android:visibility="gone">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.03"
                    android:background="@color/white"
                    android:translationX="-600dp"
                    app:cardCornerRadius="500dp"
                    app:cardElevation="0dp" />


            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingTop="220dp"
                android:visibility="gone">

                <androidx.cardview.widget.CardView
                    android:layout_width="1000dp"
                    android:layout_height="1000dp"
                    android:alpha="0.04"
                    android:background="@color/white"
                    android:translationX="-90dp"
                    app:cardCornerRadius="400dp"
                    app:cardElevation="0dp" />

            </LinearLayout>

        </RelativeLayout>

        <androidx.viewpager2.widget.ViewPager2
            android:id="@+id/view_pager"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:minHeight="150dp"
            android:paddingStart="60dp"
            android:paddingEnd="60dp" />

        <!-- content main-->
        <androidx.cardview.widget.CardView
            android:id="@+id/cardView"
            style="@style/card_view_centre"
            android:layout_below="@id/view_pager"
            android:layout_marginTop="5dp"
            app:cardCornerRadius="16dp"
            app:cardElevation="30dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="20dp"
                android:orientation="vertical"
                android:paddingTop="10dp">
                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    >

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:padding="15dp"
                        android:rotation="90"
                        android:scaleType="centerCrop"
                        android:src="@drawable/ic_arrow_drop_down"
                        app:tint="@color/primary"
                        android:onClick="clickBack"
                        tools:ignore="OnClick" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:padding="15dp"
                        android:rotation="-90"
                        android:src="@drawable/ic_arrow_drop_down"
                        app:tint="@color/primary"
                        android:onClick="clickNext"
                        tools:ignore="OnClick" />

                    <TextView
                        android:id="@+id/txt_title1"
                        style="@style/third_title"
                        android:layout_width="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:paddingBottom="5dp"
                        android:text="@string/produit_title3"
                        android:textAllCaps="true" />

                    <TextView
                        android:id="@+id/txt_title2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/txt_title1"
                        android:layout_centerHorizontal="true"
                        android:fontFamily="@font/noto_sans_italic"
                        android:paddingBottom="10dp"
                        android:text="@string/produit_title4"
                        android:textAllCaps="true"
                        android:textSize="16sp" />
                </RelativeLayout>

                <TextView
                    android:id="@+id/txt_description"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingHorizontal="10dp"
                    android:maxLines="3"
                    android:text="+ Retraits et paiements au Maroc et à l’étranger \n+ E-paiement sur les sites nationaux et internationaux"
                    />


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp">

                    <TextView
                        style="@style/btn_yes_non"
                        android:id="@+id/btn_info"
                        android:layout_marginHorizontal="15dp"
                        android:background="@drawable/btn_raduis"
                        android:drawableStart="@drawable/ic_add_circle"
                        android:gravity="center"
                        android:paddingHorizontal="6dp"
                        android:text="Détails"
                        android:textColor="@color/primary"
                        android:textSize="14sp" />

                    <TextView
                        style="@style/btn_yes_non"
                        android:id="@+id/btn_add_tocard"
                        android:layout_marginHorizontal="15dp"
                        android:background="@drawable/btn_raduis"
                        android:drawableStart="@drawable/ic_add_cart"
                        android:gravity="center"
                        android:paddingHorizontal="6dp"
                        android:text="Ajouter au panier"
                        android:textColor="@color/primary"
                        android:textSize="14sp"
                        android:onClick="clickAdd"
                        tools:ignore="OnClick" />
                    <TextView
                        style="@style/btn_yes_non"
                        android:id="@+id/btn_selected"
                        android:layout_marginHorizontal="15dp"
                        android:background="@drawable/btn_raduis_red"
                        android:drawableStart="@drawable/ic_add_cart"
                        android:drawableTint="@color/red"
                        android:gravity="center"
                        android:visibility="gone"
                        android:paddingHorizontal="6dp"
                        android:text="Retirer du panier"
                        android:textColor="@color/red"
                        android:textSize="14sp"
                        android:onClick="clickRemove"
                        tools:ignore="OnClick" />
                </LinearLayout>


            </LinearLayout>


        </androidx.cardview.widget.CardView>



    </RelativeLayout>

    <!--  Footer  -->
    <LinearLayout
        android:orientation="horizontal"
        android:id="@+id/rl_footer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:paddingHorizontal="15dp"
        android:paddingVertical="10dp">

        <TextView
            android:id="@+id/txt_produis"
            style="@style/btn_yes_non"
            android:background="@drawable/btn_raduis"
            android:drawableStart="@drawable/ic_add_cart"
            android:gravity="center"
            android:paddingLeft="6dp"
            android:text="@string/produit_s"
            android:textColor="@color/disabled" />

        <TextView
            android:id="@+id/btn_next"
            style="@style/btn_yes_non"
            android:drawableEnd="@drawable/ic_next"
            android:paddingRight="6dp"
            android:gravity="center"
            android:text="@string/continuer" />


    </LinearLayout>




</RelativeLayout>